package com.plannaplan.responses.models;

import java.util.ArrayList;
import java.util.List;

import com.plannaplan.entities.Groups;
import com.plannaplan.types.GroupType;

public class GetCourseGroupsResponse {

    private List<DefaultGroupResponse> lectures = new ArrayList<>();
    private List<DefaultGroupResponse> classes = new ArrayList<>();

    public GetCourseGroupsResponse(List<Groups> groups ){
        groups.stream().forEach(group -> {
            if (group.getType() == GroupType.CLASS) {
                this.classes.add(new DefaultGroupResponse(group));
            } else {
                this.lectures.add(new DefaultGroupResponse(group));
            }
        });
    }

    public List<DefaultGroupResponse> getClasses() {
        return this.classes;
    }

    public List<DefaultGroupResponse> getLectures() {
        return this.lectures;
    }

}